Class | ActiveMerchant::Billing::PayflowGateway
In: | lib/active_merchant/billing/gateways/payflow.rb
Parent: | Gateway

### Methods

authorize cancel_recurring credit express purchase recurring recurring_inquiry

### Included Modules

PayflowCommonAPI

### Constants

RECURRING_ACTIONS | = | Set.new([:add, :modify, :cancel, :inquiry, :reactivate, :payment])

### Public Instance methods

authorize(money, credit_card_or_reference, options = {})
cancel_recurring(profile_id)
credit(money, identification_or_credit_card, options = {})
express()
purchase(money, credit_card_or_reference, options = {})
recurring(money, credit_card, options = {})

Adds or modifies a recurring Payflow profile. See the Payflow Pro Recurring Billing Guide for more details: www.paypal.com/en_US/pdf/PayflowPro_RecurringBilling_Guide.pdf

Several options are available to customize the recurring profile:

- `profile_id` - is only required for editing a recurring profile
- `starting_at` - takes a Date, Time, or string in mmddyyyy format. The date must be in the future.
- `name` - The name of the customer to be billed. If not specified, the name from the credit card is used.
- `periodicity` - The frequency that the recurring payments will occur at. Can be one of

:bimonthly, :monthly, :biweekly, :weekly, :yearly, :daily, :semimonthly, :quadweekly, :quarterly, :semiyearly

- `payments` - The term, or number of payments that will be made
- `comment` - A comment associated with the profile

recurring_inquiry(profile_id, options = {})

[Validate]